<template>
  <div id="appmain">
    <app-header-mobile v-if="isMobile"/>
    <app-header v-else/>
    <div id="body-container">
      <app-catalog v-if="getLocation === 'catalog'"></app-catalog>
      <app-order v-if="getLocation === 'order'"></app-order>
      <app-contacts v-if="getLocation === 'contacts'"></app-contacts>
    </div>
    <app-footer v-if="getPage.polygonId == '2'"></app-footer>
    <!-- <app-unavailable-mobile v-if="isMobile"></app-unavailable-mobile>
    <app-unavailable v-else></app-unavailable>-->
  </div>
</template>

<script>
import Header from "./components/Header";
import HeaderMobile from "./components/HeaderMobile";
import Unavailable from "./components/Unavailable";
import UnavailableMobile from "./components/UnavailableMobile";
import Catalog from "./components/Catalog";
import Order from "./components/Order";
import Contacts from "./components/Contacts";
import Footer from "./components/Footer";
import { mapGetters } from "vuex";
export default {
  components: {
    "app-header": Header,
    "app-header-mobile": HeaderMobile,
    "app-unavailable": Unavailable,
    "app-unavailable-mobile": UnavailableMobile,
    "app-catalog": Catalog,
    "app-order": Order,
    "app-contacts": Contacts,
    "app-footer": Footer
  },
  name: "appmain",
  computed: {
    ...mapGetters(["isMobile", "getLocation", "getPage"])
  },
  created() {
    document.title = this.getPage.title;
    const mtag = document.createElement("meta");
    mtag.name = "description";
    mtag.content = this.getPage.description;
    document.head.appendChild(mtag);
  }
};
</script>

<style>
* {
  margin: 0;
  padding: 0;
  font-weight: normal;
  outline: none;
}
#appmain {
  font-family: "Open Sans", HelveticaNeue-Light, "Helvetica Neue Light",
    "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-left: auto;
  margin-right: auto;
  max-width: 1180px;
  width: 100%;
}

#body-container {
  margin-top: 200px;
  margin-left: auto;
  margin-right: auto;
  display: flex;
  max-width: 1180px;
  width: 100%;
  box-shadow: 0px 5px 5px -4px #777;
}

a {
  color: #f0712c;
  text-decoration: none;
}

h1,
h2 {
  font-weight: normal;
  font-size: 1.2em;
}

ul {
  list-style-type: none;
  padding: 0;
}

li {
  display: inline-block;
  margin: 0 10px;
}

a {
  color: #2c3e50;
}
</style>
